Abstract_Socket::as_client_struct Struct Reference

`#include <Abstract_Socket.hh>`

## Public Attributes

void * | user_data
TTCN_Buffer * | fd_buff
struct sockaddr_storage | clientAddr
int | clientAddrlen
TCP_STATES | tcp_state
READING_STATES | reading_state

## Member Data Documentation

## clientAddr

struct sockaddr_storage Abstract_Socket::as_client_struct::clientAddr

## clientAddrlen

int Abstract_Socket::as_client_struct::clientAddrlen

## fd_buff

TTCN_Buffer* Abstract_Socket::as_client_struct::fd_buff

## reading_state

READING_STATES Abstract_Socket::as_client_struct::reading_state

## tcp_state

TCP_STATES Abstract_Socket::as_client_struct::tcp_state

## user_data

void* Abstract_Socket::as_client_struct::user_data

The documentation for this struct was generated from the following file:

- /home/vagrant/TriesAndDelete/etsi_its/framework/include/Abstract_Socket.hh